# Uses of Interface
org.apache.lucene.analysis.hunspell.NGramFragmentChecker.NGramConsumer

Packages that use NGramFragmentChecker.NGramConsumer
Package
Description
org.apache.lucene.analysis.hunspell
A Java implementation of Hunspell stemming and spell-checking algorithms (`Hunspell`), and a stemming TokenFilter (`HunspellStemFilter`) based on it.

- ## Uses of NGramFragmentChecker.NGramConsumer in org.apache.lucene.analysis.hunspell

  Methods in org.apache.lucene.analysis.hunspell with parameters of type NGramFragmentChecker.NGramConsumer
  Modifier and Type
  Method
  Description
  `static void`
  NGramFragmentChecker.`processNGrams(int n, Dictionary dictionary, Runnable checkCanceled, NGramFragmentChecker.NGramConsumer consumer)`
  Traverse the whole dictionary, generate all word forms of its entries, and process all n-grams in these word forms.